-- ===========================================================================
-- Calc allows you to add, subtract, multiply, and divide.   
-- Copyright (C) 2016-2016 Eric T. Hughes (a.k.a. "Eboneezur")
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
-- ===========================================================================
--------------------------------------------------------------------------------------------------------
--                                             AceAddon init                                          --
--------------------------------------------------------------------------------------------------------
Broker_Calc = LibStub("AceAddon-3.0"):NewAddon("Broker_Calc", "AceEvent-3.0")
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local L = LibStub("AceLocale-3.0"):GetLocale("Broker_Calc")


--------------------------------------------------------------------------------------------------------
--                                        Broker_Calc core                                         --
--------------------------------------------------------------------------------------------------------
function Broker_Calc:OnInitialize()
end

-- LDB object
Broker_Calc.obj = ldb:NewDataObject("Broker_Calc", {
  type = "data source",
  label = "Calc",
  text = "OFF",
  icon = "Interface\\Addons\\Calc\\images\\bit_default",
  OnClick = function(frame, msg)
    if msg == "RightButton" then
      Broker_Calc.obj.text = "CONFIG"
      InterfaceOptionsFrame_OpenToCategory(tblCalc.panel)
    elseif msg == "LeftButton" then
        Broker_Calc.obj.label = "Calc"

      if (0 == tblCalc:IsDisplayed()) then
        Broker_Calc.obj.text = "SHOW"        
      else
        Broker_Calc.obj.text = "HIDE"        
      end

      tblCalc:Toggle()
    end
  end,
  OnTooltipShow = function(tooltip)
    if not tooltip or not tooltip.AddLine then return end
    tooltip:AddLine("Calc V"..GetAddOnMetadata("Calc", "Version"))
    tooltip:AddLine(L["Left-hint"])
    tooltip:AddLine(L["Right-hint"])
  end,
})
